import requests
import json
import pandas as pd
import matplotlib.pyplot as plt
import matplotlib
from matplotlib.font_manager import FontProperties


a = requests.get(
    'https://data.coa.gov.tw/Service/OpenData/FromM/PoultryTransBoiledChickenData.aspx')
# dataframe
df = pd.read_json(a.text)

isOff = df['雞蛋(產地)'] != "休市"
df = df[isOff]

df['日期'] = pd.to_datetime(df['日期'])
df['Year'] = df['日期'].dt.year
df['雞蛋(產地)'] = pd.to_numeric(df['雞蛋(產地)'])
isRange = (df['Year'] >= 2019) & (df['Year'] <= 2022)
df = df[isRange]


print(df['雞蛋(產地)'])
font = FontProperties(fname=r'Font.ttf')
plt.title('台灣2019~2022年中雞蛋走勢圖', fontproperties=font)  # 圖表標題
df.plot.line(x='日期', y='雞蛋(產地)', figsize=(30, 20), markevery=50, marker='o',
             markerfacecolor='black', markeredgecolor='black', linewidth=5)
plt.style.use('dark_background')
plt.set_xlabel('日期', fontproperties=font)  # x軸說明文字
plt.set_ylabel('人數', fontproperties=font)  # y軸說明文字
plt.legend(prop=font, fontsize=100)  # 圖例
# plt.rcParams.update({'font.size': 44, "figure.figsize": (40, 30)})

plt.show()  # render
